# failovers — NCM API

Failover events for the devices and groups in your account, recording when a device moved between WAN links. Read-only, a single list call. Use it to quantify how often a site falls back to cellular; net devices shows which interfaces were available to fail over to.

Base URL: https://www.cradlepointecm.com/api/v2

### GET /failovers/

Get information about failovers

Use the GET method on this endpoint to retrieve failovers records. Use the available filtering fields to narrow or broaden your search.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| X-ECM-API-ID | header | string | yes | <strong>ECM API app Id</strong> |
| X-ECM-API-KEY | header | string | yes | <strong>ECM API app key</strong> |
| X-CP-API-ID | header | string | yes | <strong>Cradlepoint API app Id</strong> |
| X-CP-API-KEY | header | string | yes | <strong>Cradlepoint API access key</strong> |
| account_id | query | integer | no | The ID of an account to view failover events |
| group_id | query | integer | no | The ID of a group to view failover events |
| router_id | query | integer | no | The ID of a router to view failover events |
| started_at | query | string | no | Started-at datetime filter for failover event |
| ended_at | query | string | no | Ended-at datetime filter for failover event |
| limit | query | integer | no | Restricts the number of failovers records returned to this value |
| offset | query | integer | no | Specifies where (the index of) in a failovers recordset to begin returning failovers records |

**Example request**

```bash
curl "https://www.cradlepointecm.com/api/v2/failovers/" \
  -H "X-CP-API-ID: <cp-api-id>" \
  -H "X-CP-API-KEY: <cp-api-key>" \
  -H "X-ECM-API-ID: <ecm-api-id>" \
  -H "X-ECM-API-KEY: <ecm-api-key>"
```

**Response 200** — Example response.

```json
{
  "data": [
    {
      "account_id": 55993,
      "carrier_name": "Verizon",
      "current_wan_interface": "ethernet-wan",
      "current_wan_priority": 0.00088295,
      "data_usage": 65898,
      "elapsed_time": 32,
      "ended_at": "2019-10-22T20:26:34.033177+00:00",
      "group_id": 145242,
      "group_name": "2200",
      "percent_data_cap": null,
      "previous_wan_interface": "mdm-3983dbd5",
      "previous_wan_priority": 2.25014338,
      "router_id": 1507274,
      "router_name": "AER2200-120",
      "started_at": "2019-10-22T20:26:01.870771+00:00",
      "tenant_id": "0013800001TB9s1",
      "updated_at": "2019-10-22T20:27:32.390005+00:00",
      "uuid": "6a701002-652b-4137-9ead-5847ae338ccd"
    },
    {
      "account_id": 55993,
      "carrier_name": "Verizon",
      "current_wan_interface": "ethernet-wan",
      "current_wan_priority": 0.00088295,
      "data_usage": 74607,
      "elapsed_time": 96,
      "ended_at": "2019-10-22T20:32:24.293963+00:00",
      "group_id": 145242,
      "group_name": "2200",
      "percent_data_cap": null,
      "previous_wan_interface": "mdm-3983dbd5",
      "previous_wan_priority": 1.50014338,
      "router_id": 1507274,
      "router_name": "AER2200-120",
      "started_at": "2019-10-22T20:30:47.578229+00:00",
      "tenant_id": "0013800001TB9s1",
      "updated_at": "2019-10-22T20:33:18.376541+00:00",
      "uuid": "c3636db8-dd82-4974-a245-7ce872674afa"
    }
  ],
  "meta": {
    "limit": 20,
    "next": null,
    "offset": 0,
    "previous": null
  }
}
```
